Welcome, Guest. Please Login
YaBB - Yet another Bulletin Board
 
  HomeHelpSearchLogin  
 
Building HyPhy GUI in Ubuntu 11.10 (Read 3941 times)
jage
YaBB Newbies
*
Offline


Curious HyPhy user

Posts: 2
Building HyPhy GUI in Ubuntu 11.10
Mar 8th, 2012 at 3:27pm
 
Hi,

I'm having a little trouble building the GTK GUI for HyPhy on Ubuntu 11.10, and would appreciate some help.

I've got the libcurl4-gnutils-dev, libcrypto++, and libssl-dev libraries installed. I can cmake and then build with the MP2 target, but it can't find a GTK rule as suggested by the wiki (not mentioned on the README though).

I've tried running the gtk_build.sh script, but i get:


Linux
[: 26: Linux: unexpected operator
Checking for curl
curl_check.cpp:1:1: error: stray ‘#’ in program
curl_check.cpp:1:1: error: expected unqualified-id before ‘-’ token
Curl seems to be absent (setting up compiler options skip CURL code)

Any advice will be gratefully received Smiley

Cheers
Back to top
 
 
IP Logged
 
Sergei
YaBB Administrator
*****
Offline


Datamonkeys are forever...

Posts: 1658
UCSD
Gender: male
Re: Building HyPhy GUI in Ubuntu 11.10
Reply #1 - Mar 9th, 2012 at 12:17pm
 
Hi there,

gtk_build.sh is really out of date, so I wouldn't use it. When you say that CMAKE does not find GTK, this is probably because you don't have gtk-devel libs installed. Try using apt-get to install gtk-devel and rerun cmake; see if that solves the issue.

Sergei
Back to top
 

Associate Professor
Division of Infectious Diseases
Division of Biomedical Informatics
School of Medicine
University of California San Diego
WWW WWW  
IP Logged
 
jage
YaBB Newbies
*
Offline


Curious HyPhy user

Posts: 2
Re: Building HyPhy GUI in Ubuntu 11.10
Reply #2 - Apr 3rd, 2012 at 8:16pm
 
Sorry for the late response. I've periodically been attempting to get this running, no success as of yet.

my gtk situation:

ii    libgtk2-perl                    2:1.223-1build2
un  libgtk2-perl-doc               <none>
ii    libgtk2.0-0                      2.24.6-0ubuntu5
ii    libgtk2.0-bin                    2.24.6-0ubuntu5
ii    libgtk2.0-cil                     2.12.10-2ubuntu1
ii    libgtk2.0-common             2.24.6-0ubuntu5
ii    libgtk2.0-dev                    2.24.6-0ubuntu5

any further advice gratefully received Smiley

Back to top
 
 
IP Logged
 
Steven
Global Moderator
*****
Offline


Datamonkey Curious

Posts: 21
Gender: male
Re: Building HyPhy GUI in Ubuntu 11.10
Reply #3 - Apr 4th, 2012 at 6:03pm
 
Greetings Jage,
Please check out from git.

Multimedia File Viewing and Clickable Links are available for Registered Members only!!  You need to Login Login

Make sure you have GTK libraries installed:
apt-get install libgtk2.0-dev

cd into your hyphy directory:
cmake .
make HYPHYGTK
make install

run:
HYPHYGTK

Enjoy
Back to top
 
 
IP Logged
 
joey0214
Ex Member


Re: Building HyPhy GUI in Ubuntu 11.10
Reply #4 - Jun 10th, 2012 at 1:59am
 
hi,Steven
i got the same problem with Jage
i did as you said, but it still didn't work.
when i cmake .
error will be "Some or all of the gtk libraries were not found. (missing:  GTK2_GLIBCONFIG_INCLUDE_DIR) "

thanks in advances.
Back to top
 
 
IP Logged